package org.springblade.modules.external.ycbigdata.alarm.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.homecare.alarmlist.entity.Alarm;
import org.springblade.jobs.devicejob.entity.DeviceJob;
import org.springblade.modules.external.ycbigdata.alarm.vo.AlarmVO;
import org.springblade.modules.external.ycbigdata.job.vo.DeviceJobVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class AlarmWrapper extends BaseEntityWrapper<Alarm, AlarmVO> {


	public static AlarmWrapper build(){
		return new AlarmWrapper();
	}
	@Override
	public AlarmVO entityVO(Alarm alarm) {

		AlarmVO alarmVO = Objects.requireNonNull(BeanUtil.copy(alarm,AlarmVO.class));
		return alarmVO;
	}
}
